aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarel Kočí <karel.koci@nic.cz>2017-01-09 08:10:11 +0100
committerKarel Kočí <karel.koci@nic.cz>2017-01-09 08:10:11 +0100
commit95865067af8988cb81bf89352fae3961d12a4a9e (patch)
tree18fedf1e146236515f664bf9339641415cb8ff18
parent64e557a8b97c4975c25cf5bd12fa3bb51fb38756 (diff)
downloadmyconfigs-95865067af8988cb81bf89352fae3961d12a4a9e.tar.gz
myconfigs-95865067af8988cb81bf89352fae3961d12a4a9e.tar.bz2
myconfigs-95865067af8988cb81bf89352fae3961d12a4a9e.zip
Update vim plugins
-rwxr-xr-xutils/vim_bundles_update12
m---------vim/bundle/YouCompleteMe0
m---------vim/bundle/lightline.vim0
m---------vim/bundle/syntastic0
m---------vim/bundle/tagbar0
m---------vim/bundle/vim-gitgutter0
m---------vim/bundle/vim-snipmate0
m---------vim/bundle/vim-snippets0
m---------vim/bundle/vim-table-mode0
9 files changed, 12 insertions, 0 deletions
diff --git a/utils/vim_bundles_update b/utils/vim_bundles_update
new file mode 100755
index 0000000..eb502c6
--- /dev/null
+++ b/utils/vim_bundles_update
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+[ -d vim/bundle ] || (echo Run in root of myconfigs only! && exit 1)
+
+for dir in vim/bundle/*; do
+ pushd $dir
+ git checkout master
+ git pull
+ git submodule update --init --recursive
+ popd
+done
diff --git a/vim/bundle/YouCompleteMe b/vim/bundle/YouCompleteMe
-Subproject fbe53de5a2fc7ca41602dbf7d23743f6bec8729
+Subproject d02de4b399eec80f28142ce39481be585ef3627
diff --git a/vim/bundle/lightline.vim b/vim/bundle/lightline.vim
-Subproject 9dc0aac2b2e6c7b51541a22feaf0ea025e5f32c
+Subproject 059888ab650fa192dd441e52bd9f41f08b24752
diff --git a/vim/bundle/syntastic b/vim/bundle/syntastic
-Subproject 734fde7f0b84ff3f670ab5772ed1b8b0c8c1677
+Subproject 40ac6c462e2f76cb76d8a0f295abc358abc198b
diff --git a/vim/bundle/tagbar b/vim/bundle/tagbar
-Subproject 1287f63545a4dcb116382cbf3317307756bafcc
+Subproject 53e9cb030e143b6286ed06255fef018265edd31
diff --git a/vim/bundle/vim-gitgutter b/vim/bundle/vim-gitgutter
-Subproject 1742a8f568df549f4daeda90174b54d0c371501
+Subproject 7b81a8a22607f073b76b106e2d5e63cc936b0d2
diff --git a/vim/bundle/vim-snipmate b/vim/bundle/vim-snipmate
-Subproject 31986191ac9923afcd53bf6425c9b6c35fdbb21
+Subproject 2d70860ba49afc83cb5902acb99174e3cf08538
diff --git a/vim/bundle/vim-snippets b/vim/bundle/vim-snippets
-Subproject c0d0652e0d1d3884b0426ad92967795429a7eec
+Subproject e24d33f96a95332dde0edaa7e7e3e7a64244de5
diff --git a/vim/bundle/vim-table-mode b/vim/bundle/vim-table-mode
-Subproject 441c30c35aec9d5c2de1d58a77a7d22aa8d93b0
+Subproject 30a3eba81628fdd099adc6dfdec8aa627c4783f